### Hierarchy

- TcpSocketConnectOpts
  - TcpNetConnectOpts

## Index

### Properties

- family
- hints
- host
- localAddress
- localPort
- lookup
- port

## Properties

### Optional family

family: undefined | number

- Defined in node_modules/@types/node/net.d.ts:27

### Optional hints

hints: undefined | number

- Defined in node_modules/@types/node/net.d.ts:26

### Optional host

host: undefined | string

- Defined in node_modules/@types/node/net.d.ts:23

### Optional localAddress

localAddress: undefined | string

- Defined in node_modules/@types/node/net.d.ts:24

### Optional localPort

localPort: undefined | number

- Defined in node_modules/@types/node/net.d.ts:25

### Optional lookup

lookup: LookupFunction

- Defined in node_modules/@types/node/net.d.ts:28

### port

port: number

- Defined in node_modules/@types/node/net.d.ts:22

Generated using TypeDoc